function [dz] = qc_sh1(t,z,ZR)

% --------------------------------------------
% Quarter-car model - Semi-active damping
% Skyhook 1
% --------------------------------------------

z1  = z(1);  % Sprung mass displacement
z2  = z(2);  % Unsprung mass displacement
dz1 = z(3);  % Sprung mass velocity
dz2 = z(4);  % Unsprung mass velocity
zr  = ZR(t); % Road elevation

% Fill in parameters and equations to 
% calculate the accelerations of the 
% sprung and unsprung mass.

ddz1 = ; % Sprung mass acceleration
ddz2 = ; % Unsprung mass acceleration

dz = [dz1 dz2 ddz1 ddz2]';